//  The employee class
//
//  Includes (most) information about an employee.  The data fields
//  are protected from modification by the application.

class Empl {
    char fname[20], lname[20];
    char ssn[12];
    char title[25], group[16];
    float salary;
  public:
    Empl();
    void Print();

    // Returns the new salary value
    float Raise(float percent)	{ return (salary *= percent); }

    //	Functions to set the values of the data fields
    //    The strncpy() relies on all fields being zero'd by the
    //    constructor.
    void SetSalary(float sal)	{ salary = sal; }
    void SetFname(char *fn)	{ strncpy(fname, fn, sizeof(fname)-1); }
    //  Add the other Set() functions here

    //	Functions to retrieve the data fields' values.
    const float GetSalary()		{ return salary; }
    const char* GetFname()		{ return fname; }
    const char* GetLname()		{ return lname; }
    const char* GetSsn()		{ return ssn; }
    const char* GetTitle()		{ return title; }
    const char* GetGroup()		{ return group; }
};
