#include <iostream.h>
#include <string.h>
#include "lab22.h"	// Our Empl class...

// The default constructor doesn't take any arguments
Empl::Empl()
{
    salary = 0.0;
    memset(fname, 0, sizeof(fname));
    memset(lname, 0, sizeof(lname));
    memset(ssn,   0, sizeof(ssn));
    memset(title, 0, sizeof(title));
    memset(group, 0, sizeof(group));
}

// This one takes two arguments
Empl::Empl(char *fn, char *ln)
{
    salary = 0.0;
    memset(fname, 0, sizeof(fname));
    memset(lname, 0, sizeof(lname));
    memset(ssn,   0, sizeof(ssn));
    memset(title, 0, sizeof(title));
    memset(group, 0, sizeof(group));

    // Add function calls to set the first and last name.
    // It is okay to call other member functions as appropriate.
}

Empl::~Empl()
{
    //  Nothing to do here (yet)
}

//  Update the salary only.
void Empl::Update(float sal)
{
    // Add function call to set the salary.
    // It is okay to call other member functions as appropriate.
}

//  Update salary and title.
void Empl::Update(float sal, char *newtitle)
{
    // Add function calls to set the salary and title.
    // It is okay to call other member functions as appropriate.
}

//  Update first and last name.
void Empl::Update(char *fn, char *ln)
{
    // Add function calls to set the first and last name.
    // It is okay to call other member functions as appropriate.
}

void Empl::Print()
{
    cout << "Name:   " << GetLname() << ", " << GetFname() << endl;
    cout << "Ssn:    " << GetSsn() << endl;
    cout << "Title:  " << GetTitle() << ", " << GetGroup() << endl;
    cout << "Salary: " << GetSalary() << endl;
}

int main()
{
    Empl *ptwo, *pthree;

    cout << "Creating the object 'two'" << endl;
    //
    // Allocate the space for ptwo using "new".  Then
    // initialize the fields for the call to Print(), below.
    //
    cout << "Done." << endl;

    cout << endl << "Calling ptwo->Print()" << endl;
    ptwo->Print();
    cout << endl;

    cout << "Creating the object 'three'" << endl;
    //
    // Allocate the space for pthree using "new", but use a
    // different constructor than for ptwo.  Then
    // initialize the fields for the call to Print(), below.
    //
    cout << "Done." << endl;

    cout << endl << "Calling pthree->Print()" << endl;
    pthree->Print();
    cout << endl;

    // Try adding a "cout" to the destructor.  What happens when these
    // delete's execute?  Does the destructor get called if you comment
    // these two delete's out?  Try it and see.

    // Add the delete statements for ptwo and pthree here.
}
