#include <iostream.h>
#include <string.h>
#include "lab40a.h"	// Our Empl class...

// The default constructor doesn't take any arguments
Empl::Empl()
{
    salary = 0.0;
    memset(fname, 0, sizeof(fname));
    memset(lname, 0, sizeof(lname));
    memset(ssn,   0, sizeof(ssn));
    memset(title, 0, sizeof(title));
    memset(group, 0, sizeof(group));
}

// This one takes two arguments
Empl::Empl(char *fn, char *ln)
{
    salary = 0.0;
    memset(fname, 0, sizeof(fname));
    memset(lname, 0, sizeof(lname));
    memset(ssn,   0, sizeof(ssn));
    memset(title, 0, sizeof(title));
    memset(group, 0, sizeof(group));

    SetFname(fn);
    SetLname(ln);
}

Empl::~Empl()
{
    //  Nothing to do here (yet)
}

//  Update the salary only.
void Empl::Update(float sal)
{
    SetSalary(sal);
}

//  Update salary and title.
void Empl::Update(float sal, char *newtitle)
{
    SetSalary(sal);
    SetTitle(newtitle);
}

//  Update first and last name.
void Empl::Update(char *fn, char *ln)
{
    SetFname(fn);
    SetLname(ln);
}

void Empl::Print()
{
    cout << "Name:   " << GetLname() << ", " << GetFname() << endl;
    cout << "Ssn:    " << GetSsn() << endl;
    cout << "Title:  " << GetTitle() << ", " << GetGroup() << endl;
    cout << "Salary: " << GetSalary() << endl;
}

int main()
{
    Empl emp;
    Cler cler;
    Tech tech;

    emp.Update("Frank", "Edwards");
    //
    // Add code to initialize other fields...
    //
    cout << "Calling emp.Print()" << endl;
    emp.Print();
    cout << endl;

    cler.Update("Dave", "Kelly");
    //
    // Add code to initialize other fields...
    //
    cler.SetSkills();
    cler.SetSpeed();
    cout << "Calling cler.Print()" << endl;
    cler.Print();
    cout << endl;

    tech.Update("Elizabeth", "Johnstone");
    //
    // Add code to initialize other fields...
    //
    tech.SetType();
    tech.SetEduc();
    cout << "Calling tech.Print()" << endl;
    tech.Print();
    cout << endl;
}
